<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Global</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Global</h1>

    




<section>

<header>
    
        <h2></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="cambiarFechaparaGuardar"><span class="type-signature"></span>cambiarFechaparaGuardar<span class="signature">(fecha_recibida)</span><span class="type-signature"> &rarr; {fecha}</span></h4>
    

    



<div class="description">
    Obtiene la fecha de nacimiento del usuario y la transforma al formato que guarda la base de datos
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>fecha_recibida</code></td>
            

            <td class="type">
            
                
<span class="param-type">date</span>


            
            </td>

            

            

            <td class="description last">Es la fecha que se obtiene</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line231">line 231</a>
    </li></ul></dd>
    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    Devuelve la fecha transformada
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">fecha</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="contar_cero"><span class="type-signature"></span>contar_cero<span class="signature">(texto, nro_cero)</span><span class="type-signature"> &rarr; {String}</span></h4>
    

    



<div class="description">
    Trabaja junto a la función cambiarFechaparaGuardar, para transformar los meses y días al formato permitido por mysql
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>texto</code></td>
            

            <td class="type">
            
                
<span class="param-type">int</span>


            
            </td>

            

            

            <td class="description last">Es el número de la fecha obtenida</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nro_cero</code></td>
            

            <td class="type">
            
                
<span class="param-type">int</span>


            
            </td>

            

            

            <td class="description last">Es el número de ceros que se necesita</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line245">line 245</a>
    </li></ul></dd>
    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    Devuelve una cadena con los números de la fecha con el formato correspondiente
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">String</span>


    </dd>
</dl>

    





        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="ControladorPersona.html">ControladorPersona</a></li></ul><h3>Global</h3><ul><li><a href="global.html#cambiarFechaparaGuardar">cambiarFechaparaGuardar</a></li><li><a href="global.html#contar_cero">contar_cero</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:13:16 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>